<template>
  <div class="fr-checkbox-group">
    <input
      :id="name"
      type="checkbox"
      :name="name"
      :checked="modelValue"
      :aria-labelledby="labelledBy"
      @input="$emit('update:modelValue', $event.target.checked)"
    />
    <label
      class="fr-label"
      :for="name"
    >
      <span :class="{ 'no-label': noLabel }">
        {{ label }}
      </span>
    </label>
  </div>
</template>

<script setup>
  defineProps({
    label: { type: String, required: true },
    noLabel: { type: Boolean, default: false },
    labelledBy: { type: String, default: undefined },
    name: { type: String, required: true },
    modelValue: { type: Boolean, default: false }
  })

  defineEmits(['update:modelValue'])
</script>

<style scoped>
  .no-label {
    visibility: hidden;
  }
</style>
